- Get all product criteria
Get a product criteria by ID
Get search request criteria
Get zone list
Get criteria by category
Get all product criteria
Returns all product criteria definitions for the site, including type, label, activation state and personalisation flags.
Criteria types:
| Type | Description | Value format |
|---|---|---|
UNIQUE | Single choice from predefined values | value code string |
NUMBER | Numeric value | Number (int or float) |
FLAG | Boolean | 0 or 1 |
TEXT | Free text | String |
MULTIPLE | Multiple choice from predefined values | Array of value code strings |
DATE | Date/datetime | ISO 8601 or dd/MM/yyyy |
Use GET /criterias/product/{id} to get the valid values for UNIQUE/MULTIPLE type criteria.
Common criteria examples:
| XML Key | Type | Description |
|---|---|---|
TypeBien | UNIQUE | Property type (Appartement, Maison, Terrain...) |
TypeTransaction | UNIQUE | Transaction type (Vente, Location...) |
NbPieces | NUMBER | Number of rooms |
Surface | NUMBER | Living area in m² |
Prix | NUMBER | Price |
conso_energ | NUMBER | Energy consumption (kWh/m²/year) |
ConsoEner | UNIQUE | DPE letter (A-G, auto-calculated from conso_energ) |
Adresse | TEXT | Street address |
CodePostal | TEXT | Postal code |
Ville | TEXT | City |
Alentour | TEXT | GPS coordinates ("lat,lng") |
Security
bearerAuth
- Mock serverhttps://api-doc.immo-facile.com/_mock/openapi/criterias/product/all
- https://v2.immo-facile.com/api/v2/sitehttps://v2.immo-facile.com/api/v2/site/criterias/product/all
curl -i -X GET \
https://api-doc.immo-facile.com/_mock/openapi/criterias/product/all \
-H 'Authorization: Bearer <YOUR_opaque_HERE>'Response
{ "data": [ { … } ] }